import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.boolean().optional(),
  jobName: z.boolean().optional(),
  status: z.boolean().optional(),
  startedAt: z.boolean().optional(),
  completedAt: z.boolean().optional(),
  durationMs: z.boolean().optional(),
  errorMessage: z.boolean().optional()
}).strict();
export const CronJobLogSelectObjectSchema: z.ZodType<Prisma.CronJobLogSelect> = makeSchema() as unknown as z.ZodType<Prisma.CronJobLogSelect>;
export const CronJobLogSelectObjectZodSchema = makeSchema();
